## audacity 2.3.1

=== cmake-proxies/CMakeLists.txt ===
#directory cmake-proxies
set( LIB_SRC_DIRECTORY ${top_dir}/lib-src/ )

#These are done in their actual directories, no need for a proxy.

#Same idea, but not yet done/needed
#add_subdirectory( "mod-null" )
#add_subdirectory( "mod-nyq-bench" )
#add_subdirectory( "mod-track-panel" )

#These are all headers, nothing to build.
#add_subdirectory( "ffmpeg" ) 
#add_subdirectory( "lame" ) 


add_subdirectory( "expat" )
add_subdirectory( "FileDialog" )
#add_subdirectory( "help" )
add_subdirectory( "libflac" )
add_subdirectory( "libflac++" )
add_subdirectory( "libid3tag" )
add_subdirectory( "libmad" )
add_subdirectory( "libnyquist" )
add_subdirectory( "libogg" )
add_subdirectory( "libscorealign" )
add_subdirectory( "libsndfile" )
add_subdirectory( "libsoxr" )
add_subdirectory( "libvamp" )
add_subdirectory( "libvorbis" )
#add_subdirectory( "locale" )
add_subdirectory( "lv2" )
add_subdirectory( "mod-script-pipe" )
add_subdirectory( "portaudio-v19" )
add_subdirectory( "portmidi" )
add_subdirectory( "portmixer" )
#add_subdirectory( "portburn" ) # not built
add_subdirectory( "portsmf" )
add_subdirectory( "sbsms" )
add_subdirectory( "soundtouch" )
add_subdirectory( "twolame" )

=== src/CMakeLists.txt ===
#directory src
project (Audacity)
find_package(wxWidgets REQUIRED COMPONENTS net core base html qa adv)
include(${wxWidgets_USE_FILE})

set_property(GLOBAL PROPERTY USE_FOLDERS On) 


# Needed for configwin.h included by Audacity.h
include_directories(${top_dir}/win)

#include_directories(${top_dir}/lib-src/)
include_directories(${top_dir}/include)
include_directories(${top_dir}/src) # for AudacityHeaders.h
include_directories(${top_dir}/lib-src/expat/lib)
include_directories(${top_dir}/lib-src/FileDialog)
include_directories(${top_dir}/lib-src/FileDialog/win)
include_directories(${top_dir}/lib-src/ffmpeg)
include_directories(${top_dir}/lib-src/ffmpeg/win32)
include_directories(${top_dir}/lib-src/lib-widget-extra)
include_directories(${top_dir}/lib-src/libflac/include)
include_directories(${top_dir}/lib-src/libid3tag) #for id3tag.h
include_directories(${top_dir}/lib-src/libmad/msvc++)
include_directories(${top_dir}/lib-src/libmad)
include_directories(${top_dir}/lib-src/libnyquist)
include_directories(${top_dir}/lib-src/libogg/include)
include_directories(${top_dir}/lib-src/libscorealign)
include_directories(${top_dir}/win/Projects/libsndfile) 
include_directories(${top_dir}/lib-src/libsoxr/src) #really?  Src?
include_directories(${top_dir}/lib-src/libvamp)
include_directories(${top_dir}/lib-src/libvorbis/include)
include_directories(${top_dir}/lib-src/lib-widget-extra)
include_directories(${top_dir}/lib-src/portaudio-v19/include)
include_directories(${top_dir}/lib-src/portmixer/include)
include_directories(${top_dir}/lib-src/portsmf)
include_directories(${top_dir}/lib-src/sbsms/include)
include_directories(${top_dir}/lib-src/soundtouch/include)
include_directories(${top_dir}/lib-src/twolame/libtwolame)
include_directories(${top_dir}/lib-src/portmidi/pm_common)
include_directories(${top_dir}/lib-src/portmidi/pm_win)
include_directories(${top_dir}/lib-src/portmidi/porttime)
include_directories(${top_dir}/lib-src/lv2/lilv)
include_directories(${top_dir}/lib-src/lv2/lv2)
include_directories(${top_dir}/lib-src/lv2/suil)
include_directories(${top_dir}/lib-src/lame)

#if(MSVC)
    add_definitions(/FI"AudacityHeaders.h")
#else()
    # GCC or Clang
#    add_definitions(-include AudacityHeaders.h)
#endif()




# Consider moving many of these # defines to Audacity.h.
# disable warning of insecure functions like getEnv
add_definitions( -D_CRT_SECURE_NO_WARNINGS )

add_definitions( -DBUILDING_AUDACITY )
add_definitions( -DFLAC__NO_DLL )
add_definitions( -DXML_STATIC )
add_definitions( -D__STDC_CONSTANT_MACROS )
add_definitions( -DWXINTL_NO_GETTEXT_MACRO )
add_definitions( -DWXUSINGDLL )
add_definitions( -D__WXMSW__ )
add_definitions( -DwxDEBUG_LEVEL=0 )
add_definitions( -DNDEBUG )
add_definitions( -DWIN32 )
add_definitions( -DSTRICT )




# disable warning of deprecated features.
# NB we may want this ON for better wx code style.
add_compile_options(/wd4996)




set( SOURCE 
   ${CMAKE_SOURCE_DIRECTORY}AudacityHeaders.cpp  #first so cotire can precompile
   ${CMAKE_SOURCE_DIRECTORY}AboutDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}AColor.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityApp.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityException.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudacityLogger.cpp
   ${CMAKE_SOURCE_DIRECTORY}AudioIO.cpp
   ${CMAKE_SOURCE_DIRECTORY}AutoRecovery.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchCommandDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}BatchProcessDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}Benchmark.cpp
   ${CMAKE_SOURCE_DIRECTORY}BlockFile.cpp
   #${CMAKE_SOURCE_DIRECTORY}CrossFade.cpp # abandoned code.
   ${CMAKE_SOURCE_DIRECTORY}Dependencies.cpp
   ${CMAKE_SOURCE_DIRECTORY}DeviceChange.cpp
   ${CMAKE_SOURCE_DIRECTORY}DeviceManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Diags.cpp
   ${CMAKE_SOURCE_DIRECTORY}DirManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Dither.cpp
   ${CMAKE_SOURCE_DIRECTORY}Envelope.cpp
   ${CMAKE_SOURCE_DIRECTORY}FFmpeg.cpp
   ${CMAKE_SOURCE_DIRECTORY}FFT.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileException.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileFormats.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileIO.cpp
   ${CMAKE_SOURCE_DIRECTORY}FileNames.cpp
   ${CMAKE_SOURCE_DIRECTORY}FreqWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}HelpText.cpp
   ${CMAKE_SOURCE_DIRECTORY}HistoryWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}ImageManipulation.cpp
   ${CMAKE_SOURCE_DIRECTORY}InconsistencyException.cpp
   ${CMAKE_SOURCE_DIRECTORY}Internat.cpp
   ${CMAKE_SOURCE_DIRECTORY}InterpolateAudio.cpp
   ${CMAKE_SOURCE_DIRECTORY}LabelDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}LabelTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}LangChoice.cpp
   ${CMAKE_SOURCE_DIRECTORY}Languages.cpp
   ${CMAKE_SOURCE_DIRECTORY}Legacy.cpp
   ${CMAKE_SOURCE_DIRECTORY}Lyrics.cpp
   ${CMAKE_SOURCE_DIRECTORY}LyricsWindow.cpp
   ${CMAKE_SOURCE_DIRECTORY}Matrix.cpp
   ${CMAKE_SOURCE_DIRECTORY}Menus.cpp
   ${CMAKE_SOURCE_DIRECTORY}#MenusMac.cpp   # Not wanted on Windows.
   ${CMAKE_SOURCE_DIRECTORY}Mix.cpp
   ${CMAKE_SOURCE_DIRECTORY}MixerBoard.cpp
   ${CMAKE_SOURCE_DIRECTORY}ModuleManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}NoteTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}PitchName.cpp
   ${CMAKE_SOURCE_DIRECTORY}PlatformCompatibility.cpp
   ${CMAKE_SOURCE_DIRECTORY}PluginManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}Prefs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Printing.cpp
   ${CMAKE_SOURCE_DIRECTORY}Profiler.cpp
   ${CMAKE_SOURCE_DIRECTORY}Project.cpp
   ${CMAKE_SOURCE_DIRECTORY}RealFFTf.cpp
   ${CMAKE_SOURCE_DIRECTORY}RealFFTf48x.cpp
   ${CMAKE_SOURCE_DIRECTORY}Resample.cpp
   ${CMAKE_SOURCE_DIRECTORY}RingBuffer.cpp
   ${CMAKE_SOURCE_DIRECTORY}SampleFormat.cpp
   ${CMAKE_SOURCE_DIRECTORY}Screenshot.cpp
   ${CMAKE_SOURCE_DIRECTORY}SelectedRegion.cpp
   ${CMAKE_SOURCE_DIRECTORY}SelectionState.cpp
   ${CMAKE_SOURCE_DIRECTORY}Sequence.cpp
   ${CMAKE_SOURCE_DIRECTORY}Shuttle.cpp
   ${CMAKE_SOURCE_DIRECTORY}ShuttleGui.cpp
   ${CMAKE_SOURCE_DIRECTORY}ShuttlePrefs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Snap.cpp
   ${CMAKE_SOURCE_DIRECTORY}SoundActivatedRecord.cpp
   ${CMAKE_SOURCE_DIRECTORY}Spectrum.cpp
   ${CMAKE_SOURCE_DIRECTORY}SplashDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}SseMathFuncs.cpp
   ${CMAKE_SOURCE_DIRECTORY}Tags.cpp
   ${CMAKE_SOURCE_DIRECTORY}Theme.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimeDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimerRecordDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}TimeTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}Track.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackArtist.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanel.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelAx.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelResizeHandle.cpp
   ${CMAKE_SOURCE_DIRECTORY}TrackPanelResizerCell.cpp
   ${CMAKE_SOURCE_DIRECTORY}UIHandle.cpp
   ${CMAKE_SOURCE_DIRECTORY}UndoManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}UserException.cpp
   ${CMAKE_SOURCE_DIRECTORY}ViewInfo.cpp
   ${CMAKE_SOURCE_DIRECTORY}VoiceKey.cpp
   ${CMAKE_SOURCE_DIRECTORY}WaveClip.cpp
   ${CMAKE_SOURCE_DIRECTORY}WaveTrack.cpp
   ${CMAKE_SOURCE_DIRECTORY}WrappedType.cpp
   #An anomoly - a source file plucked from a lib.
   ${top_dir}/lib-src/lib-widget-extra/NonGuiThread.cpp
)

# We're not yet adding each subdirectory.
# instead we do what we would do there here.
#add_subdirectory( blockfile )
set( BLOCKFILE_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}blockfile/LegacyAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/LegacyBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/NotYetAvailableException.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/ODDecodeBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/ODPCMAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/PCMAliasBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/SilentBlockFile.cpp
   ${CMAKE_SOURCE_DIRECTORY}blockfile/SimpleBlockFile.cpp
)   
source_group( blockfile FILES ${BLOCKFILE_SOURCE} )


#add_subdirectory( commands )
set( COMMANDS_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}commands/AppCommandEvent.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/AudacityCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/BatchEvalCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Command.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandBuilder.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandContext.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandDirectory.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandHandler.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandSignature.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandTargets.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CommandType.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/CompareAudioCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Demo.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/DragCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/GetInfoCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/GetTrackInfoCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/HelpCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ImportExportCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/Keyboard.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/LoadCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/MessageCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/OpenSaveCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/PreferenceCommands.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ResponseQueue.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ScreenshotCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/ScriptCommandRelay.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SelectCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetClipCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetEnvelopeCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetLabelCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetProjectCommand.cpp
   ${CMAKE_SOURCE_DIRECTORY}commands/SetTrackInfoCommand.cpp
)
source_group( commands FILES ${COMMANDS_SOURCE} )

#add_subdirectory( effects )
set( EFFECTS_SOURCE
   ${CMAKE_SOURCE_DIRECTORY}effects/Amplify.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/AutoDuck.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/BassTreble.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Biquad.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangePitch.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangeSpeed.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ChangeTempo.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ClickRemoval.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Compressor.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Contrast.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Distortion.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/DtmfGen.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Echo.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Effect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/EffectManager.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/EffectRack.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Equalization.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Equalization48x.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Fade.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/FindClipping.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Generator.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Invert.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Leveller.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/LoadEffects.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Noise.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/NoiseReduction.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/NoiseRemoval.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Normalize.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Paulstretch.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Phaser.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Repair.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Repeat.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Reverb.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Reverse.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SBSMSEffect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ScienFilter.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ScoreAlignDialog.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/Silence.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SimpleMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/SoundTouchEffect.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/StereoToMono.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TimeScale.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/TimeWarper.cpp
   ${CMAKE_SOURCE_DIRECTORY}effects/ToneGen.cpp

=== cmake-proxies/FileDialog/CMakeLists.txt ===
#directory lib-src/FileDialog
set( TARGET FileDialog )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}FileDialog/FileDialog.cpp
#${LIB_SRC_DIRECTORY}FileDialog/gtk/FileDialogPrivate.cpp #not on windows.
${LIB_SRC_DIRECTORY}FileDialog/win/FileDialogPrivate.cpp
)

add_library( FileDialog STATIC ${SOURCES})
find_package(wxWidgets REQUIRED COMPONENTS net core base)
include( ${wxWidgets_USE_FILE} )
target_include_directories(  ${TARGET} PRIVATE 
#${wxWidgets_INCLUDE_DIRS}
${TARGET_SOURCE}
${TARGET_SOURCE}/win
)
add_definitions( -DWXUSINGDLL -DWIN32 -D_LIB 
#${wxWidgets_DEFINITIONS} 
)
target_link_libraries(${TARGET} ${wxWidgets_LIBRARIES})

=== cmake-proxies/expat/CMakeLists.txt ===
#directory cmake-proxies/expat
set( TARGET expat )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
#${LIB_SRC_DIRECTORY}expat/amiga/expat_68k.c
#${LIB_SRC_DIRECTORY}expat/amiga/expat_68k_handler_stubs.c
#${LIB_SRC_DIRECTORY}expat/amiga/expat_lib.c
#${LIB_SRC_DIRECTORY}expat/amiga/expat_vectors.c
#${LIB_SRC_DIRECTORY}expat/amiga/launch.c
#${LIB_SRC_DIRECTORY}expat/examples/elements.c
#${LIB_SRC_DIRECTORY}expat/examples/outline.c

${LIB_SRC_DIRECTORY}expat/lib/xmlparse.c
${LIB_SRC_DIRECTORY}expat/lib/xmlrole.c
${LIB_SRC_DIRECTORY}expat/lib/xmltok.c
${LIB_SRC_DIRECTORY}expat/lib/xmltok_impl.c
${LIB_SRC_DIRECTORY}expat/lib/xmltok_ns.c

#${LIB_SRC_DIRECTORY}expat/tests/chardata.c
#${LIB_SRC_DIRECTORY}expat/tests/minicheck.c
#${LIB_SRC_DIRECTORY}expat/tests/runtests.c
#${LIB_SRC_DIRECTORY}expat/tests/benchmark/benchmark.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/codepage.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/ct.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/readfilemap.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/unixfilemap.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/win32filemap.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/xmlfile.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/xmlmime.c
#${LIB_SRC_DIRECTORY}expat/xmlwf/xmlwf.c

#${LIB_SRC_DIRECTORY}expat/tests/runtestspp.cpp
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D_LIB 
-DCOMPILED_FROM_DSP
)
add_library( ${TARGET} STATIC ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/lib
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/libflac++/CMakeLists.txt ===
#directory cmake-proxies/libflac++
#UNUSED
set( TARGET libflac++ )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}libflac )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}libflac/src/libFLAC++/metadata.cpp
${LIB_SRC_DIRECTORY}libflac/src/libFLAC++/stream_decoder.cpp
${LIB_SRC_DIRECTORY}libflac/src/libFLAC++/stream_encoder.cpp
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC++/decoders.cpp
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC++/encoders.cpp
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC++/main.cpp
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC++/metadata.cpp
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC++/metadata_manip.cpp
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC++/metadata_object.cpp
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-DFLAC__NO_DLL
-D_LIB
 )

add_library( ${TARGET} STATIC ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/include
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/libflac/CMakeLists.txt ===
#directory cmake-proxies/libflac
set( TARGET libflac )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
#${LIB_SRC_DIRECTORY}libflac/src/flac/analyze.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/decode.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/encode.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/foreign_metadata.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/iffscan.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/local_string_utils.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/main.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/utils.c
#${LIB_SRC_DIRECTORY}libflac/src/flac/vorbiscomment.c

${LIB_SRC_DIRECTORY}libflac/src/libFLAC/bitmath.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/bitreader.c


${LIB_SRC_DIRECTORY}libflac/src/libFLAC/bitwriter.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/cpu.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/crc.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/fixed.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/fixed_intrin_sse2.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/fixed_intrin_ssse3.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/float.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/format.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/lpc.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/lpc_intrin_avx2.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/lpc_intrin_sse.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/lpc_intrin_sse2.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/lpc_intrin_sse41.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/md5.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/memory.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/metadata_iterators.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/metadata_object.c
#${LIB_SRC_DIRECTORY}libflac/src/libFLAC/ogg_decoder_aspect.c
#${LIB_SRC_DIRECTORY}libflac/src/libFLAC/ogg_encoder_aspect.c
#${LIB_SRC_DIRECTORY}libflac/src/libFLAC/ogg_helper.c
#${LIB_SRC_DIRECTORY}libflac/src/libFLAC/ogg_mapping.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/stream_decoder.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/stream_encoder.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/stream_encoder_framing.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/stream_encoder_intrin_avx2.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/stream_encoder_intrin_sse2.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/stream_encoder_intrin_ssse3.c
${LIB_SRC_DIRECTORY}libflac/src/libFLAC/window.c

#${LIB_SRC_DIRECTORY}libflac/src/metaflac/main.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/operations.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/operations_shorthand_cuesheet.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/operations_shorthand_picture.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/operations_shorthand_seektable.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/operations_shorthand_streaminfo.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/operations_shorthand_vorbiscomment.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/options.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/usage.c
#${LIB_SRC_DIRECTORY}libflac/src/metaflac/utils.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_common/charset.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_common/dither.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_common/replaygain.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_common/tags.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_xmms/charset.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_xmms/configure.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_xmms/fileinfo.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_xmms/http.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_xmms/plugin.c
#${LIB_SRC_DIRECTORY}libflac/src/plugin_xmms/tag.c
#${LIB_SRC_DIRECTORY}libflac/src/share/getopt/getopt.c
#${LIB_SRC_DIRECTORY}libflac/src/share/getopt/getopt1.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/alloc.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/cuesheet.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/file.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/picture.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/replaygain.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/seektable.c
#${LIB_SRC_DIRECTORY}libflac/src/share/grabbag/snprintf.c
#${LIB_SRC_DIRECTORY}libflac/src/share/replaygain_analysis/replaygain_analysis.c
#${LIB_SRC_DIRECTORY}libflac/src/share/replaygain_synthesis/replaygain_synthesis.c
#${LIB_SRC_DIRECTORY}libflac/src/share/utf8/charset.c
#${LIB_SRC_DIRECTORY}libflac/src/share/utf8/charset_test.c
#${LIB_SRC_DIRECTORY}libflac/src/share/utf8/iconvert.c
#${LIB_SRC_DIRECTORY}libflac/src/share/utf8/makemap.c
#${LIB_SRC_DIRECTORY}libflac/src/share/utf8/utf8.c
${LIB_SRC_DIRECTORY}libflac/src/share/win_utf8_io/win_utf8_io.c
#${LIB_SRC_DIRECTORY}libflac/src/test_grabbag/cuesheet/main.c
#${LIB_SRC_DIRECTORY}libflac/src/test_grabbag/picture/main.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/bitwriter.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/decoders.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/encoders.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/endswap.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/format.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/main.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/md5.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/metadata.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/metadata_manip.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libFLAC/metadata_object.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libs_common/file_utils_flac.c
#${LIB_SRC_DIRECTORY}libflac/src/test_libs_common/metadata_utils.c
#${LIB_SRC_DIRECTORY}libflac/src/test_seeking/main.c
#${LIB_SRC_DIRECTORY}libflac/src/test_streams/main.c


#${LIB_SRC_DIRECTORY}libflac/src/utils/flacdiff/main.cpp
#${LIB_SRC_DIRECTORY}libflac/src/utils/flactimer/main.cpp
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-DWIN32 
-D_LIB
-DFLAC__CPU_IA32
-DFLAC__SSE_OS
-DFLAC__HAS_X86INTRIN
-DFLAC__ALIGN_MALLOC_DATA
-DVERSION="1.3.1"
-DFLAC__NO_DLL
-DFLAC__OVERFLOW_DETECT
)
add_library( ${TARGET} STATIC ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/src/libFLAC/include
${TARGET_SOURCE}/include
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/libogg/CMakeLists.txt ===
#directory cmake-proxies/libogg
#UNUSED
set( TARGET libogg )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
${LIB_SRC_DIRECTORY}libogg/src/bitwise.c
${LIB_SRC_DIRECTORY}libogg/src/framing.c
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D_LIB
)
add_library( ${TARGET} STATIC ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/include
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/lv2/CMakeLists.txt ===
#directory cmake-proxies/lv2
set( TARGET lv2 )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
#${LIB_SRC_DIRECTORY}lv2/sord/src/sordmm_test.cpp
#${LIB_SRC_DIRECTORY}lv2/suil/src/gtk2_in_qt4.cpp
#${LIB_SRC_DIRECTORY}lv2/suil/src/qt4_in_gtk2.cpp
#${LIB_SRC_DIRECTORY}lv2/suil/src/win_in_gtk2.cpp
#${LIB_SRC_DIRECTORY}lv2/suil/src/x11_in_qt4.cpp

#${LIB_SRC_DIRECTORY}lv2/lilv/bindings/test/bindings_test_plugin.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/collections.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/instance.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/lib.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/node.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/plugin.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/pluginclass.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/port.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/query.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/scalepoint.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/state.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/ui.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/util.c
${LIB_SRC_DIRECTORY}lv2/lilv/src/world.c
#${LIB_SRC_DIRECTORY}lv2/lilv/src/zix/tree.c #see sord source.

#${LIB_SRC_DIRECTORY}lv2/lilv/test/lilv_test.c
#${LIB_SRC_DIRECTORY}lv2/lilv/test/test_plugin.c
#${LIB_SRC_DIRECTORY}lv2/lilv/utils/lilv-bench.c
#${LIB_SRC_DIRECTORY}lv2/lilv/utils/lv2bench.c
#${LIB_SRC_DIRECTORY}lv2/lilv/utils/lv2info.c
#${LIB_SRC_DIRECTORY}lv2/lilv/utils/lv2ls.c
#${LIB_SRC_DIRECTORY}lv2/lv2/lv2/lv2plug.in/ns/ext/atom/atom-test.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-amp.lv2/amp.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-fifths.lv2/fifths.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-metro.lv2/metro.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-midigate.lv2/midigate.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-sampler.lv2/sampler.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-sampler.lv2/sampler_ui.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-scope.lv2/examploscope.c
#${LIB_SRC_DIRECTORY}lv2/lv2/plugins/eg-scope.lv2/examploscope_ui.c
${LIB_SRC_DIRECTORY}lv2/serd/src/env.c
#${LIB_SRC_DIRECTORY}lv2/serd/src/node.c
${LIB_SRC_DIRECTORY}lv2/serd/src/reader.c
#${LIB_SRC_DIRECTORY}lv2/serd/src/serdi.c
${LIB_SRC_DIRECTORY}lv2/serd/src/serdnode.c
${LIB_SRC_DIRECTORY}lv2/serd/src/string.c
${LIB_SRC_DIRECTORY}lv2/serd/src/uri.c
${LIB_SRC_DIRECTORY}lv2/serd/src/writer.c
#${LIB_SRC_DIRECTORY}lv2/serd/tests/serd_test.c
${LIB_SRC_DIRECTORY}lv2/sord/src/sord.c
#${LIB_SRC_DIRECTORY}lv2/sord/src/sordi.c
#${LIB_SRC_DIRECTORY}lv2/sord/src/sord_test.c
#${LIB_SRC_DIRECTORY}lv2/sord/src/sord_validate.c
${LIB_SRC_DIRECTORY}lv2/sord/src/syntax.c
${LIB_SRC_DIRECTORY}lv2/sord/src/zix/digest.c
${LIB_SRC_DIRECTORY}lv2/sord/src/zix/hash.c
${LIB_SRC_DIRECTORY}lv2/sord/src/zix/tree.c
${LIB_SRC_DIRECTORY}lv2/sratom/src/sratom.c
#${LIB_SRC_DIRECTORY}lv2/sratom/tests/sratom_test.c
${LIB_SRC_DIRECTORY}lv2/suil/src/host.c
#${LIB_SRC_DIRECTORY}lv2/suil/src/instance.c
${LIB_SRC_DIRECTORY}lv2/suil/src/suil_instance.c
#${LIB_SRC_DIRECTORY}lv2/suil/src/x11_in_gtk2.c

)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D_LIB
-Dsnprintf=_snprintf
-Dinline=__inline # Not needed in non CMake version.
-DHAVE_FMAX
-DLILV_INTERNAL
-D_DEBUG
 )
add_library( ${TARGET} STATIC ${SOURCES})
add_compile_options(/TP)
target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/windows
${TARGET_SOURCE}/sord/src
${TARGET_SOURCE}/lilv
${TARGET_SOURCE}/lv2
${TARGET_SOURCE}/serd
${TARGET_SOURCE}/sord
${TARGET_SOURCE}/sratom
${TARGET_SOURCE}/suil
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/portaudio-v19/CMakeLists.txt ===
#directory cmake-proxies/portaudio-v19
set( TARGET portaudio-v19 )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
#${LIB_SRC_DIRECTORY}portaudio-v19/bindings/java/c/src/com_portaudio_BlockingStream.c
#${LIB_SRC_DIRECTORY}portaudio-v19/bindings/java/c/src/com_portaudio_PortAudio.c
#${LIB_SRC_DIRECTORY}portaudio-v19/bindings/java/c/src/jpa_tools.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_mono_asio_channel_select.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_ocean_shore.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_pink.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_read_write_wire.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_record.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_record_file.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_saw.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_sine.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_wmme_ac3.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_wmme_surround.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_write_sine.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_write_sine_nonint.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/pa_devs.c
#${LIB_SRC_DIRECTORY}portaudio-v19/examples/pa_fuzz.c
#${LIB_SRC_DIRECTORY}portaudio-v19/pablio/pablio.c
#${LIB_SRC_DIRECTORY}portaudio-v19/pablio/test_rw.c
#${LIB_SRC_DIRECTORY}portaudio-v19/pablio/test_rw_echo.c
#${LIB_SRC_DIRECTORY}portaudio-v19/pablio/test_w_saw.c
#${LIB_SRC_DIRECTORY}portaudio-v19/pablio/test_w_saw8.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/paqa_devs.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/paqa_errs.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/paqa_latency.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/loopback/src/audio_analyzer.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/loopback/src/biquad_filter.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/loopback/src/paqa.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/loopback/src/paqa_tools.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/loopback/src/test_audio_analyzer.c
#${LIB_SRC_DIRECTORY}portaudio-v19/qa/loopback/src/write_wav.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_allocation.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_converters.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_cpuload.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_debugprint.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_dither.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_dynload.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_front.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_process.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_ringbuffer.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_stream.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/common/pa_trace.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/alsa/pa_linux_alsa.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/asihpi/pa_linux_asihpi.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/coreaudio/pa_mac_core.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/coreaudio/pa_mac_core_blocking.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/coreaudio/pa_mac_core_old.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/coreaudio/pa_mac_core_utilities.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/dsound/pa_win_ds.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/dsound/pa_win_ds_dynlink.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/jack/pa_jack.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/jack/pa_jack_dynload.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/oss/pa_unix_oss.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/oss/recplay.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/skeleton/pa_hostapi_skeleton.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/wasapi/pa_win_wasapi.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/wdmks/pa_win_wdmks.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/wmme/pa_win_wmme.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/os/unix/pa_unix_hostapis.c
#${LIB_SRC_DIRECTORY}portaudio-v19/src/os/unix/pa_unix_util.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/os/win/pa_win_coinitialize.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/os/win/pa_win_hostapis.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/os/win/pa_win_util.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/os/win/pa_win_waveformat.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/os/win/pa_win_wdmks_utils.c
${LIB_SRC_DIRECTORY}portaudio-v19/src/os/win/pa_x86_plain_converters.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest1.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_buffer.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_callbackstop.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_clip.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_converters.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_dither.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_dsound_find_best_latency_params.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_dsound_low_level_latency_params.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_dsound_surround.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_hang.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_in_overflow.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_jack_wasapi.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_latency.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_leftright.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_longsine.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_many.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_maxsines.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_mono.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_multi_sine.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_out_underflow.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_prime.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_read_record.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_ringmix.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_sine8.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_sine_channelmaps.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_sine_formats.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_sine_srate.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_sine_time.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_start_stop.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_stop.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_stop_playout.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_suggested_vs_streaminfo_latency.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_sync.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_timing.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_toomanysines.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_two_rates.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_underflow.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_wire.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_wmme_find_best_latency_params.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_wmme_low_level_latency_params.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/patest_write_stop.c
#${LIB_SRC_DIRECTORY}portaudio-v19/test/pa_minlat.c

##${LIB_SRC_DIRECTORY}portaudio-v19/examples/paex_sine_c++.cpp
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/asio/iasiothiscallresolver.cpp
#${LIB_SRC_DIRECTORY}portaudio-v19/src/hostapi/asio/pa_asio.cpp

)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D_LIB
 )
add_library( ${TARGET} STATIC ${SOURCES})

#if(MSVC)
#FIX-ME What a horrible hacky place for a config file!
    add_definitions(/FI"${top_dir}/win/Projects/${TARGET}/Debug/config.h")
#else()
    # GCC or Clang
#    add_definitions(-include ${top_dir}/win/Projects/${TARGET}/config.h)
#endif()

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/include
${TARGET_SOURCE}/src/common
${TARGET_SOURCE}/src/os/win
${TARGET_SOURCE}
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/portmidi/CMakeLists.txt ===
#directory cmake-proxies/portmidi
set( TARGET portmidi )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
#${LIB_SRC_DIRECTORY}portmidi/pm_csharp/pm_managed/AssemblyInfo.cpp
#${LIB_SRC_DIRECTORY}portmidi/pm_csharp/pm_managed/pm_managed.cpp
#${LIB_SRC_DIRECTORY}portmidi/pm_csharp/pm_managed/Stdafx.cpp

${LIB_SRC_DIRECTORY}portmidi/pm_common/pmutil.c
${LIB_SRC_DIRECTORY}portmidi/pm_common/portmidi.c
#${LIB_SRC_DIRECTORY}portmidi/pm_java/pmjni/pmjni.c
#${LIB_SRC_DIRECTORY}portmidi/pm_linux/finddefault.c
#${LIB_SRC_DIRECTORY}portmidi/pm_linux/pmlinux.c
#${LIB_SRC_DIRECTORY}portmidi/pm_linux/pmlinuxalsa.c
#${LIB_SRC_DIRECTORY}portmidi/pm_mac/finddefault.c
#${LIB_SRC_DIRECTORY}portmidi/pm_mac/pmmac.c
#${LIB_SRC_DIRECTORY}portmidi/pm_mac/pmmacosxcm.c
#${LIB_SRC_DIRECTORY}portmidi/pm_mac/readbinaryplist.c
#${LIB_SRC_DIRECTORY}portmidi/pm_python/pyportmidi/_pyportmidi.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/latency.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/midiclock.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/midithread.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/midithru.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/mm.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/qtest.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/sysex.c
#${LIB_SRC_DIRECTORY}portmidi/pm_test/test.c
${LIB_SRC_DIRECTORY}portmidi/pm_win/pmwin.c
${LIB_SRC_DIRECTORY}portmidi/pm_win/pmwinmm.c
${LIB_SRC_DIRECTORY}portmidi/porttime/porttime.c
#${LIB_SRC_DIRECTORY}portmidi/porttime/ptlinux.c
#${LIB_SRC_DIRECTORY}portmidi/porttime/ptmacosx_cf.c
#${LIB_SRC_DIRECTORY}portmidi/porttime/ptmacosx_mach.c
${LIB_SRC_DIRECTORY}portmidi/porttime/ptwinmm.c

)
# This defines the #define on both Windows and Linux.
add_definitions( 
-DLIB
 )
add_library( ${TARGET} STATIC ${SOURCES})

target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/pm_common
${TARGET_SOURCE}/pm_win
${TARGET_SOURCE}/porttime
)

target_link_libraries( ${TARGET} )

=== cmake-proxies/portmixer/CMakeLists.txt ===
#directory cmake-proxies/portmixer
set( TARGET portmixer )
set( TARGET_SOURCE ${LIB_SRC_DIRECTORY}${TARGET} )
project( ${TARGET} )

set( SOURCES 
#${LIB_SRC_DIRECTORY}portmixer/px_tests/px_test.c
#${LIB_SRC_DIRECTORY}portmixer/src/px_example_api.c
#${LIB_SRC_DIRECTORY}portmixer/src/px_linux_alsa.c
#${LIB_SRC_DIRECTORY}portmixer/src/px_mac_coreaudio.c
${LIB_SRC_DIRECTORY}portmixer/src/px_mixer.c
#${LIB_SRC_DIRECTORY}portmixer/src/px_unix_oss.c
${LIB_SRC_DIRECTORY}portmixer/src/px_win_common.c
${LIB_SRC_DIRECTORY}portmixer/src/px_win_ds.c
${LIB_SRC_DIRECTORY}portmixer/src/px_win_endpoint.c
${LIB_SRC_DIRECTORY}portmixer/src/px_win_wasapi.c
${LIB_SRC_DIRECTORY}portmixer/src/px_win_wmme.c
)
# This defines the #define on both Windows and Linux.
add_definitions( 
-D_LIB
 )
add_library( ${TARGET} STATIC ${SOURCES})

#if(MSVC)
#FIX-ME What a horrible hacky place for a config file!
    add_definitions(/FI"${top_dir}/win/Projects/${TARGET}/Debug/config.h")
#else()
    # GCC or Clang
#    add_definitions(-include ${top_dir}/win/Projects/${TARGET}/config.h)
#endif()


target_include_directories( ${TARGET} PRIVATE 
${TARGET_SOURCE}/include
${LIB_SRC_DIRECTORY}/portaudio-v19/include
)

target_link_libraries( ${TARGET} )

=== debian/changelog ===
audacity (2.3.1-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Mar 2019 10:15:48 -0700

audacity (2.3.1-0build1~ubuntu16.04) xenial; urgency=low

  * new upstream release.
  * rebuilt with system portaudio

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Fri, 29 Jan 2016 19:31:05 +0100

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: autoconf,
               automake,
               debhelper,
               dh-autoreconf,
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev (>= 6:0.8),
               libavformat-dev (>= 6:0.8),
               libavutil-dev (>= 6:0.8),
               libexpat1-dev,
               libflac++-dev,
               libgtk2.0-dev,
               libid3tag0-dev,
               libjack-dev,
               liblilv-dev,
               libmad0-dev (>= 0.14.2b),
               libmp3lame-dev,
               libogg-dev (>= 1.0.0),
               libportsmf-dev,
               libsbsms-dev (>= 2.0.0),
               libsndfile1-dev (>= 1.0.0),
               libsoundtouch-dev (>= 1.3.1-2),
               libsoxr-dev (>= 0.0.5),
               libsuil-dev,
               libtwolame-dev (>= 0.3.9),
               libvorbis-dev (>= 1.0.0-3),
               libwxgtk3.0-dev,
               lv2-dev,
               libudev-dev,
               portaudio19-dev (>= 19+svn20101113-3~),
               vamp-plugin-sdk (>= 2.0)
Homepage: http://audacityteam.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacity.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacity.git

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends}
Recommends: audacity
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed

configure_flags := \
	--disable-dynamic-loading \
	--with-expat=system \
	--with-ffmpeg=system \
	--with-lame=system \
	--with-libflac=system \
	--with-libid3tag=system \
	--with-libmad=system \
	--with-libsndfile=system \
	--with-libsoxr=system \
	--with-libtwolame=system \
	--with-libvamp=system \
	--with-libvorbis=system \
	--with-lv2=system \
	--with-midi=system \
	--with-portaudio=system \
	--with-sbsms=local \
	--with-portsmf=system \
	--with-soundtouch=system \
	$(NULL)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

# The tests fail to build as of version 2.0.6
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym
